#!/usr/bin/python
#
# Find out when the ddb trace command stopped working altogether
# (as opposed to the usual fubar state of working about half the time),
# and when it started working again (about a third of the time)
#
# See http://gnats.netbsd.org/44260
#

from bracket import find_failure, rcs2ts

from tests.pr44260 import op

#find_failure(
#    rcs2ts("2008.09.08.23.36.55"),
#    rcs2ts("2010.10.27.10.42.12"),
#    op())

#find_fix(
#    rcs2ts("2011.02.01.20.28.10"),
#    rcs2ts("2011.11.24.01.54.08"),
#    op())

#find_failure(
#    rcs2ts("2011.11.24.01.54.08"),
#    rcs2ts("2013.01.10.06.52.35"),
#    op(), confirm = True)

find_failure(
    rcs2ts("2012.02.07.19.17.16"),
    rcs2ts("2013.01.10.06.52.35"),
    op(), confirm = True)
